Bug 433662 - No visual representation of the reconciliation history
Summary: No visual representation of the reconciliation history
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: 5.1.1
Platform: Other All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on: 433694
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-26 15:43 UTC by Ralf Habacker
Modified: 2021-04-10 12:41 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Habacker 2021-02-26 15:43:49 UTC
SUMMARY
Kmymoney supports transaction reconciliation, but there is no visual representation of the reconciliation history performed.

It would be nice if kmymoney would output the performed reconciliations in the general ledger. 

STEPS TO REPRODUCE
1. start kmymoney
2. open a file which has a reconciliation history (key value pair 'reconciliationHistory') for an account
3. In the ledger settings enable "Show group header between transactions" 
4. Open the ledger for the account mentioned at 2.

OBSERVED RESULT
Only the last reconciliation is displayed, not the complete history.

EXPECTED RESULT
All the recorded reconciliations should be displayed.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: openSUSE Leap 15.2 
KDE Frameworks Version: 5.71 
Qt Version: 5.12
Comment 1 Ralf Habacker 2021-04-10 12:41:13 UTC
Git commit 2c6a6b0acbea648b825981753a9cc8eace9437d8 by Ralf Habacker.
Committed on 10/04/2021 at 11:22.
Pushed by habacker into branch '5.1'.

Show reconciliation history in ledger view

Reconciliation history is displayed when the "Show Reconciled Balances"
option is enabled in the "View" menu.

A new configuration variable called "ShowReconciledBalances" has been
introduced for the permanent setting, which is enabled by default.
FIXED-IN:5.1.2

M  +14   -0    doc/reference.docbook
M  +3    -0    kmymoney/icons/icons.cpp
M  +1    -0    kmymoney/icons/icons.h
M  +11   -0    kmymoney/kmymoney.cpp
M  +5    -0    kmymoney/kmymoney.h
M  +2    -1    kmymoney/kmymoneyui.rc
M  +1    -1    kmymoney/menus/menuenums.h
M  +4    -0    kmymoney/settings/kmymoney.kcfg
M  +8    -0    kmymoney/widgets/register.cpp

https://invent.kde.org/office/kmymoney/commit/2c6a6b0acbea648b825981753a9cc8eace9437d8